<script setup lang="ts">

import CreateForm from "@/components/CreateForm.vue";
import Posts from "@/components/Posts.vue";
import Panel from 'primevue/panel'
import { ref } from 'vue'
import { type Post } from '@/models'

const posts = ref<Post[]>([])

fetch('https://jsonplaceholder.typicode.com/posts')
  .then((response) => response.json())
  .then((json) => posts.value = json);
</script>

<template>
  <main>
    <Panel class="collapsible" header="Create New" collapsed toggleable>
      <CreateForm />
    </Panel>
    <Posts :posts />
  </main>
</template>

<style scoped>
  main {
    margin: auto;
    width: 80%;
  }

  .collapsible {
    margin-bottom: 20px;
  }
</style>
